#1

def ajoute_dictionnaires(d1, d2):
    d = {}
    for cles, valeurs in d1.items():
        d[cles] = valeurs
    for cles, valeurs in d2.items():
        if cles in d:
            d[cles] += valeurs
        else:
            d[cles] = valeurs
    
    return d

#2

from random import randint

def nombre_coups():
    nombre_cases = 12
    cases_vues = [ False ] * nombre_cases
    nombre_cases_vues = 1
    cases_vues[0] = True
    case_en_cours = 0
    n = 0
    while nombre_cases_vues < nombre_cases :
        x = randint(1, 6)
        case_en_cours = (case_en_cours + x) % nombre_cases
        if cases_vues[case_en_cours] == False :
            cases_vues[case_en_cours] = True
            nombre_cases_vues = nombre_cases_vues + 1
        n = n + 1
    return n

print(nombre_coups())
